## @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
##
## This file documents the package.
##
## @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

#' @title
#' Plot Whittaker biomes with ggplot2
#'
#' @description
#' A package for plotting Whittaker biomes with ggplot2.
#' It also allows for outlier identification and mapping.
#'
#' The original graph is Figure 5.5 in
#' *Ricklefs, R. E. (2008), The economy of nature. W. H. Freeman and Company.*
#' (Chapter 5, Biological Communities, The biome concept).
#' The figure was processed and brought into an R friendly format.
#' Details are given in [Whittaker_biomes_dataset](https://rawgit.com/valentinitnelav/plotbiomes/master/html/Whittaker_biomes_dataset.html).
#'
#' @section Help:
#' Examples at: [Whittaker_biomes_examples](https://rawgit.com/valentinitnelav/plotbiomes/master/html/Whittaker_biomes_examples.html)
#'
#' GitHub page [here](https://github.com/valentinitnelav/plotbiomes)
#'
#' @author
#' Valentin Stefan, Sam Levin
#'
#' @md
#' @docType package
#' @name plotbiomes
NULL
